:root {
  --bg-dark: #1b1b1d;
  --bg-light: #f9f7f4;
  --accent: #c8a165;
  --text-dark: #222;
  --text-light: #fafafa;
  --text-muted: #aaa;
  --border-color: #e6e2da;
  --accent-light: #e3c89d;
}

/* CSS Document */
.swal2-styled.swal2-confirm{background-color: #ed1941; border-radius:0px;box-shadow:none;}
/*.img-fluid{max-width: 100px;height: auto;}*/
.max-h450{max-height:450px; overflow: auto}
.tt-checkout-products{margin: 5px 0px}
.tt-checkout-products .tt-item{display: flex;flex-direction: row;flex-wrap: nowrap;justify-content: flex-start;align-content: stretch;align-items: flex-start;border-bottom: 1px solid #cec9c9;margin: 11px 0px;}
.tt-checkout-products .tt-item img{width: 67px;height: auto;}
.tt-checkout-products .tt-item a{display: flex;width: 100%;transition: color .2s linear;}
.tt-checkout-products .tt-item .tt-title{font-family: Hind,sans-serif;font-weight: 400;font-size: 14px;line-height: 22px;transition: color .2s linear;}
.tt-checkout-products .tt-item .tt-quantity{display: inline-flex;font-size: 14px;color: #777;}
.tt-checkout-products .tt-item .tt-item-descriptions{flex: 2 1 auto;}
.tt-checkout-products .tt-item .tt-add-info{list-style: none;margin: 4px 0 0;padding: 0 0 5px;}
.tt-checkout-products .tt-item .tt-price{display: inline-flex;font-size: 16px;color: var(--accent);font-weight: 500;}
.old-price-checkout{color: #ed1941 !important;text-decoration: line-through;}
.checkout-outer{top:13px; position:relative;}
.ship-desc{font-size: 11px; text-align: justify;}
.show-always{display: inline-block !important}
.bold{font-weight:bold !important}
.w100{width:100%}
.del-coupon-cart{cursor:pointer; padding:5px}
.del-coupon-cart:hover{color:#A5002D !important; font-weight: bold}
.collapse:not(.show) {display: none;}
.text20{font-size:20px;}
.text18{font-size:18px;}
.text16{font-size:16px;}
.text14{font-size:14px !important;}
.text11{font-size:11px !important;}
.old-price{color:var(--text-muted) !important;}
.active_p{border: 2px solid #ed1941 !important;}
.color-black{color:black}
.color-red{color:red} 
.color-gray{color:gray}
.swal2-popup{border-radius:0px !important}
.old-price-all{color:#ed1941; text-decoration: line-through;}
.account-table{max-height: 500px;overflow: auto;}
.info-content{border: 1px solid rgba(0, 0, 0, 0.2);padding: 50px 60px;}
.info-content ul{list-style: none;}
.static-page ul li {color: #7f7f7f;font-weight: 400;line-height: 20px !important;font-size: 12px !important;text-align: justify;}
.detail-list-columns-item {display: block;margin-bottom: 5px;clear: both;width: 100%;overflow: hidden;}
.detail-list-columns-text:first-child {width: 65%;padding-right: 15px;display: block; float:left}
.detail-list-columns-text:last-child {text-align: right; width: 35%;display: block; float:left}
.static-page strong{font-weight: bold}
.hr-line-ext {display: block;max-width: 300px;margin: 30px auto 30px;height: 1px;background-color: rgba(0, 0, 0, 0.2);}
.pay-mar{margin: 16px 9px 0 0 !important;}
.pay-pom{height: 50px;display: inline-block;line-height: 50px;}
.checkout-block{margin: 0px 0px 15px 0px;padding-bottom: 15px;border-bottom: 1px solid #eaeaea;}
.checkout-block figcaption{display: -webkit-box;display: -ms-flexbox;display: flex;-webkit-box-pack: justify;-ms-flex-pack: justify;justify-content: space-between;font-weight: 400;}
.loader-p{position: absolute;top: 0px;left: 0px;background-color: rgba(0,0,0,0.4);z-index: 19;width: 100%;height: 100%; display: none}
#modalAddToCartProduct{z-index: 50;}
.a-red:hover{color:#ed1941}
.cart_delete {cursor:pointer;}
#admin-tools{background-color:#bf1c1c}

.sub-cat-border{border: 1px solid #d7cfcff2;text-align: center; min-height: 50px;position: relative;height: 150px;font-size:14px; font-weight: 300}
.sub-cat-border img{padding: 5px;max-height: 76%;width: auto;}
.sub-cat-border:hover img{filter:blur(1px); transition-property: -moz-filter, -ms-filter, -o-filter, -webkit-filter, filter;
    transition-duration: 0.3s;}
.sub-cat-name{position: absolute; bottom:0px; width: 100%;}


.tt-options-swatch.options-big-large li a.options-color {
    width: 80px;
    height: 80px;
    background-size: cover;
}
.red{color:#ed1941}
.btn-disabled{background-color: #c6c4c4;color: #868686;cursor: not-allowed !important;}
.btn-disabled:hover{background-color: #c6c4c4;color: #868686;cursor: not-allowed !important;}
.swal2-cancel{border-radius:0px !important;}
.loader-div{width: 300px;padding:20px;left: calc( 50% - 150px);position: relative;top: calc( 50% - 150px);text-align: center;}
.loader-text{font-size: 20px;color: black;font-weight: bold;padding-top: 20px;}
.loader {border: 16px solid #f3f3f3; /* Light grey */border-top: 16px solid #3498db; /* Blue */border-radius: 50%;width: 120px;height: 120px;animation: spin 2s linear infinite;margin:  0 auto;}
label.error{color: #ed1941;font-weight: bold;margin-top: 5px;margin-left: 10px;}
@keyframes spin {0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}
.newsletter-gdpr{color:white}
a.newsletter-link{color: white; text-decoration:underline;}
.img-fluid{width: 100%; height: auto;}
.wrapper-social-icon{background-color: var(--accent);padding-top: 3px;padding-right: 5px;padding-left: 5px;padding-bottom: 12px;color: rgba(255,255,255,1.00);}
.wrapper-social-icon1{background-color: #ed1941;padding-top: 3px;padding-right: 5px;padding-left: 5px;padding-bottom: 12px;color: rgba(255,255,255,1.00);}
.wrapper-social-icon3{background: #f7f8fa;padding: 12px 5px 10px;color: rgba(255,255,255,1.00);}
ul.cat-nav{list-style: none;padding-left:5px;}
.cat-nav li li {display: none;}
.cat-nav .active {font-weight: 600;}
.cat-nav a{color: var(--text-dark)}
.cat-nav a:hover{color: var(--accent)}
.has-submenu>span:after {cursor: pointer;font-family: "Font Awesome 5 Free";content: "\f078";display: inline-block;padding-right: 3px;vertical-align: middle;font-weight: 900;font-size: 10px;margin-left: 5px;}
.has-submenu .nav-open>span:after {cursor: pointer;font-family: "Font Awesome 5 Free";content: "\f077"; display: inline-block;padding-right: 3px;vertical-align: middle;font-weight: 900;font-size: 10px;margin-left: 5px;}
.cat-wrap {z-index: 44;}
#toggle-cat {top: 67px;left: 0;position: fixed;cursor: pointer;z-index: 5555;height: 105px;width: 35px;line-height: 147px;overflow: hidden;}
#cat-sm {top: 67px;border-top: 2px solid #dc3545;left: 0;position: fixed;width: 350px;z-index: 555;transform: translateX(-100%);-webkit-transform: translateX(-100%);}
.f-activex{color:var(--accent); font-weight: 600;}
.link-pointer{cursor:pointer}
.dam-edit-omalovanky{color:black;background-color: white;padding: 5px;font-size: 21px;position: absolute;top: 0px;right: 0px; z-index: 10; cursor:pointer; transition: 0.3s;}
.dam-edit-omalovanky:hover{background-color: red;color: white;}
.tt-top-panel p{margin-top:0px;}
.aside{height: 100%;overflow: auto;}

.minilogo {
  font-family: 'Playfair Display', serif;
  font-weight: 700;
  letter-spacing: 1px;
  color: var(--accent);
  font-size: 15px;
}

#tt-footer{background: var(--bg-dark);color: var(--text-light);}

.gold-btn {
    background: linear-gradient(45deg, #d4af37, #f5d76e, #b8860b);
    color: #000;
    border: 1px solid #b8860b;
    border-radius: 8px;
    padding: 10px 25px;
    font-weight: 600;
    cursor: pointer;
    box-shadow: 0 0 8px rgba(212, 175, 55, 0.6);
    transition: all 0.3s ease;
}

.gold-btn:hover {
    background: linear-gradient(45deg, #f7e199, #d4af37, #c8a100);
}

.btnx{border:none;cursor:pointer;text-transform:uppercase;font-weight:600;border-radius:6px;transition:.3s;position:relative;overflow:hidden}
.btn-main{background:var(--accent);color:var(--bg-dark);padding:14px 35px;overflow: hidden;}
.btn-main::after{
  content:"";position:absolute;top:-150%;left:-30%;width:60%;height:400%;transform:rotate(20deg);
  background:linear-gradient(90deg,transparent,rgba(255,255,255,.45),transparent);transition:transform .8s
}
.btn-main:hover{background:var(--accent-light) ;transform:translateY(-2px);}
.btn-main:hover::after{transform:translateX(220%) rotate(20deg)}


.logo-title{
	font-family: 'Playfair Display', serif;
  font-weight: 700;
  letter-spacing: 1px;
  color: var(--accent);
  font-size:35px;
}

.logo-title:hover{
	font-family: 'Playfair Display', serif;
  font-weight: 700;
  letter-spacing: 1px;
  color: var(--accent);
}

#tt-header{background: var(--bg-dark);
	color: var(--text-light);
  	display: flex;
  	justify-content: space-between;
  	align-items: center;
}

.tt-desktop-header{padding: 1.2rem 1rem;}
.tt-mobile-header{margin: 0 auto;width:100%}

footer h4{color: var(--text-light)}
footer h5{color: var(--text-light)}

.badge-discount {
  position: absolute;
  padding: 1px 4px;
  font-weight: 600;
  font-size: 14px;
  color: #fff;
  letter-spacing: .5px;background: #f00;
}

.badge-round {
  height:80px;
  border-radius:10px;
  overflow:hidden;
  width: 250px;
}
.badge-round span {
  position:absolute;
  padding:8px 18px;
  font-family:'Playfair Display',serif;
  font-weight:600;
  font-size:14px;
  color:#1b1b1d;
  letter-spacing:.5px;
}

.b9 span{background:#ceab54;border-radius:0 20px 20px 0;padding: 5px 10px;color: white;}

.gallery {
  display: grid;
  grid-template-columns: repeat(auto-fit,minmax(180px,1fr));
  gap: 30px;
}

.search-result a{margin-bottom:3px;padding: 3px;;}
.search-result a:hover{color: var(--text-light) !important;}

 .slider-container {
    max-width: 400px;
    margin: 50px auto;
  }
  #range-slider {
    margin-bottom: 20px;
  }

  /* jemné vylepšenie vzhľadu jQuery UI slidera */
  .ui-slider {
    height: 6px;
    background: #dee2e6;
    border-radius: 4px;
    position: relative;
  }
  .ui-slider-range {
    background: #007bff;
  }
  .ui-slider-handle {
    width: 18px;
    height: 18px;
    top: -6px;
    background: #007bff;
    border: none;
    border-radius: 50%;
    cursor: pointer;
    transition: background 0.2s;
  }
  .ui-slider-handle:hover {
    background: #0056b3;
  }

  .ui-widget-header{background-color: var(--accent) !important;}

  .custom-dropdown {
  position: relative;
  display: inline-block;
  width: 116px;
  font-family: sans-serif;
}

.custom-dropdown button {
  width: 100%;
  text-align: left;
  padding: 8px 10px;
  border: 0px solid #ccc;
  background: #fff;
  cursor: pointer;
}

.card-item{ border:2px solid transparent}
.card-item:hover{ border:2px solid var(--accent)}
.card-item.select{ border:2px solid var(--accent)}
.img-card{max-width:250px;}

.custom-dropdown .options {
  position: absolute;
  top: 100%;
  left: 0;
  right: 0;
  border: 1px solid #ccc;
  background: #fff;
  display: none;
  z-index: 10;

}

.custom-dropdown .option {
  padding: 8px 10px;
  cursor: pointer;
}

.custom-dropdown .option:hover {
  background: #f2f2f2;
}

 .ui-widget-content .ui-state-active, .ui-state-active{
  border-color: #000 !important; background: var(--accent) !important
}

.menu-overflow {
	position: relative;
  width:50px;
  z-index: 1001;
}
.menu-overflow > a {
	cursor: pointer;
	display: flex;
	align-items: center;
	padding: 10px !important;
}
.menu-overflow > a::after {
	content: '⋯';
	font-size: 22px;
	line-height: 1;
}
.menu-overflow ul {
	position: absolute;
	top: 70%;
	right: 0;
	background: #fff;
	list-style: none;
	padding: 8px 0;
	margin: 0;
	border: 1px solid #ddd;
	box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
	display: none;
	min-width: 180px;
	z-index: 9999;
}
.menu-overflow:hover ul {
	display: block;
}
.menu-overflow ul li a {
	display: block;
	padding: 6px 15px;
	color: #333;
	text-decoration: none;
	white-space: nowrap;
}
.menu-overflow ul li a:hover {
	background: #f5f5f5;
}

.dropdown.megamenu > a{white-space:nowrap;}

.banner-slider {
  position: relative;
  width: 100%;
  overflow: hidden;
  user-select: none;
}

.banner-slider .slides-wrapper {
  display: flex;
  height: 100%;
  transition: transform 0.4s ease;
  will-change: transform;
}

.banner-slider .slide {
  flex: 0 0 auto;
  display: block;
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  height: 100%;
  text-decoration: none;
  cursor: pointer;
}

.tt-product-single-img .tt-btn-zomm.tt-top-right i{position:relative; top:-1px; left:1px}

@media screen and (max-width: 1020px)
{
	.display-desktop{display:none;}
}

@media screen and (min-width: 1020px)
{
	.display-mobil{display:none;}
}

@media screen and (max-width: 1230px) {

    a.newsletter-link{color: #ed1941; text-decoration:underline;}
	.newsletter-gdpr{color: #000;
margin-top: 10px;
font-size: 12px;}
	.info-content {padding: 41px 7px;}
}

@media screen and (max-width: 1020px)
{
	.max-h450{max-height:100vh; overflow: auto}
}

@media screen and (max-width: 792px)
{
	.sub-cat-border{line-height: 50px;font-size: 14px; height:50px;}
	.sub-cat-border img{ width:50px; float: left; max-height: none;}
}